// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IBarCodePDF417 wrapper class

class IBarCodePDF417 : public COleDispatchDriver
{
public:
	IBarCodePDF417() {}		// Calls COleDispatchDriver default constructor
	IBarCodePDF417(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBarCodePDF417(const IBarCodePDF417& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void MakeBinary(const VARIANT& varData, LPCTSTR strBmpFileName, long nClumn, long nErr, long nHLRatio, long nHeight);
	void MakeString(LPCTSTR strInfo, LPCTSTR strBmpFileName, long nClumn, long nErr, long nHLRatio, long nHeight);
	long SetColorDepth(long lDepth);
	long GetColorDepth();
	long MixText(LPCTSTR strSrcFileName, LPCTSTR strDstFileName, LPCTSTR strText, long lFontSize, long lTxtHeight, long lHmargin, long lVmargin, long lTxtCntOneLine);
};
